version: '3'

services:
  web:
    image: gitlab/gitlab-ce:12.10.6-ce.0
    container_name: gitlab
    environment:
      GITLAB_OMNIBUS_CONFIG: |
        external_url 'http://gitlab.example.com:8929'
        nginx['client_max_body_size'] = '0'
        gitlab_rails['gitlab_shell_ssh_port'] = 2224
        unicorn['worker_processes'] = 3
        puma['worker_processes'] = 2
        sidekiq['concurrency'] = 9
        postgresql['shared_buffers'] = '512MB'
    ports:
      - '8929:8929'
      - '2224:22'
    networks:
      - default
    volumes:
      - $GITLAB_HOME/gitlab/config:/etc/gitlab
      - $GITLAB_HOME/gitlab/logs:/var/log/gitlab
      - $GITLAB_HOME/gitlab/data:/var/opt/gitlab
    restart: unless-stopped

networks:
  default:
